import { PipeTransform } from '@angular/core';
import { UndefinedOrNullOr } from 'dfts-helper';
import * as i0 from "@angular/core";
export declare class DfxImplodePipe implements PipeTransform {
    transform(strings: UndefinedOrNullOr<string[]>, separator?: UndefinedOrNullOr<string>, maxLength?: UndefinedOrNullOr<number>, suffix?: UndefinedOrNullOr<string>): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DfxImplodePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<DfxImplodePipe, "s_implode", true>;
}
export declare class ImplodeMappedPipe implements PipeTransform {
    transform<T>(strings: UndefinedOrNullOr<T[]>, mapFn: (it: T) => string, separator?: UndefinedOrNullOr<string>, maxLength?: UndefinedOrNullOr<number>, suffix?: UndefinedOrNullOr<string>): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImplodeMappedPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ImplodeMappedPipe, "s_implodeMapped", true>;
}
export declare class DfxImplodeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DfxImplodeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DfxImplodeModule, never, [typeof DfxImplodePipe, typeof ImplodeMappedPipe], [typeof DfxImplodePipe, typeof ImplodeMappedPipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DfxImplodeModule>;
}
//# sourceMappingURL=implode.d.ts.map