import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DfxCountUp {
    el: ElementRef<any>;
    window: Window | undefined;
    set countUp(it: number);
    count: number;
    /**
     * How long you want the animation to take.
     * @param time time in ms; defaults to <code>4000</code>
     */
    animationDuration: number;
    clickable: boolean;
    counterRunning: boolean;
    frameDuration: number;
    onMouseDown(): void;
    easeOutQuad: (t: number) => number;
    animateCountUp: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DfxCountUp, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DfxCountUp, "[countUp]", never, { "countUp": { "alias": "countUp"; "required": true; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "clickable": { "alias": "clickable"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_countUp: unknown;
    static ngAcceptInputType_animationDuration: unknown;
    static ngAcceptInputType_clickable: unknown;
}
//# sourceMappingURL=count-up.d.ts.map