import { EnvironmentProviders } from '@angular/core';
import { BaseUrlInterceptorFeature, HelperFeatures, LoggingInterceptorFeature, MobileBreakpointFeature, PostPutJsonContentTypeInterceptorFeature, WindowFeature } from './features';
export declare function provideDfxHelper(...features: HelperFeatures[]): EnvironmentProviders;
export declare function withMobileBreakpoint(mobileBreakpoint: number): MobileBreakpointFeature;
export declare function withBaseUrlInterceptor(baseUrl: string, paths?: string[]): BaseUrlInterceptorFeature;
export declare function withLoggingInterceptor(paths?: string[]): LoggingInterceptorFeature;
export declare function withPostPutJsonContentTypeInterceptor(paths?: string[]): PostPutJsonContentTypeInterceptorFeature;
export declare function withWindow(): WindowFeature;
//# sourceMappingURL=helper.provider.d.ts.map