import { HttpContextToken, HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare abstract class AbstractIgnorableInterceptor implements HttpInterceptor {
    protected BY_PASS?: HttpContextToken<boolean> | undefined;
    protected ignorePaths?: string[] | undefined;
    protected constructor(BY_PASS?: HttpContextToken<boolean> | undefined, ignorePaths?: string[] | undefined);
    abstract intercept(req: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>;
    shouldIntercept: (req: HttpRequest<unknown>) => boolean;
}
//# sourceMappingURL=abstract-ignoreable.d.ts.map