import { HttpContext, HttpContextToken } from '@angular/common/http';
import { IBuilder } from 'dfts-helper';
export declare const interceptorByPass: (context?: HttpContext) => ByPassInterceptorBuilder;
export declare class ByPassInterceptorBuilder implements IBuilder<HttpContext> {
    private tokens;
    private _context?;
    static byPassInterceptor(context?: HttpContext): ByPassInterceptorBuilder;
    baseUrl(): this;
    logging(): this;
    postPutJsonContentType(): this;
    custom(token: HttpContextToken<boolean>): this;
    context(context?: HttpContext): this;
    build(): HttpContext;
    buildAsOptions(): {
        context: HttpContext;
    };
}
//# sourceMappingURL=by-pass-interceptor.builder.d.ts.map